[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#656550: nmu: gnet_2.0.8-2.1

On Fri, Jan 20, 2012 at 11:18:34 +0900, HIGUCHI Daisuke (VDR dai) wrote:

> Package: release.debian.org
> Severity: normal
> User: release.debian.org@packages.debian.org
> Usertags: binnmu
> nmu gnet_2.0.8-2.1 . ALL . -m "Rebuild against glib2.0 for gnet-2.0.pc multiarch path."
> please rebuild gnet to let gnet-2.0.pc use multiarch path.
> this occurs FTBFS with scli (#652165).
> rebuilding gnet will fix gnet-2.0.pc's glib-2.0/include path
> then resolve scli FTBFS.

Seems to me the better fix is:

--- gnet-2.0.8.orig/gnet-2.0.pc.in
+++ gnet-2.0.8/gnet-2.0.pc.in
@@ -6,5 +6,6 @@
 Name: Gnet
 Description: A network compatibility layer library
 Version: @VERSION@
+Requires.private: glib-2.0 gthread-2.0
+Cflags: -I${includedir}/gnet-@GNET_MAJOR_VERSION@.@GNET_MINOR_VERSION@ -I${libdir}/gnet-@GNET_MAJOR_VERSION@.@GNET_MINOR_VERSION@/include/


Attachment: signature.asc
Description: Digital signature

Reply to: